curl --request PUT \
--url https://api.hubapi.com/marketing/v3/campaigns/{campaignGuid}/spend/{spendId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"name": "<string>",
"order": 123,
"description": "<string>"
}
'{
"amount": 123,
"createdAt": 123,
"id": "<string>",
"name": "<string>",
"order": 123,
"updatedAt": 123,
"description": "<string>"
}Update a specific campaign spend item by ID
curl --request PUT \
--url https://api.hubapi.com/marketing/v3/campaigns/{campaignGuid}/spend/{spendId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"name": "<string>",
"order": 123,
"description": "<string>"
}
'{
"amount": 123,
"createdAt": 123,
"id": "<string>",
"name": "<string>",
"order": 123,
"updatedAt": 123,
"description": "<string>"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
successful operation
The monetary value associated with the spend item.
The timestamp indicating when the spend item was created.
Unique identifier for the spend item.
The name assigned to the spend item.
The sequence order of the spend item, where 0 is the oldest.
The timestamp indicating when the spend item was last updated.
A detailed explanation or notes about the spend item.
Was this page helpful?